commit:     3991afb3e9b35b9a5180a33f5e991ed3c6c7b9cd
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 14 23:02:37 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 14 23:03:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3991afb3

sys-fs/xfsdump: add 3.1.10

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-fs/xfsdump/Manifest              |  1 +
 sys-fs/xfsdump/xfsdump-3.1.10.ebuild | 75 ++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/sys-fs/xfsdump/Manifest b/sys-fs/xfsdump/Manifest
index 0dc97bb7161b..1bebe60de37e 100644
--- a/sys-fs/xfsdump/Manifest
+++ b/sys-fs/xfsdump/Manifest
@@ -1 +1,2 @@
+DIST xfsdump-3.1.10.tar.xz 609424 BLAKE2B 
742d392c4ca4532e64ab8fd89a27b0d7c669e3f977fb9362f3f41e1db09c250951aff3906a5f598892cf58b00a7aab636864af9461afb724feec2708f52cdbd9
 SHA512 
8a1b671b22fffb5d2eac45d5fd7a2948c137b3ca21fde06779cff13fc6eaa27286876f56715f2eeb82ce107278d763028474260a54a8fec722e5a5d7c5875c9a
 DIST xfsdump-3.1.9.tar.xz 600348 BLAKE2B 
9e833acaacd3ad581b4f23731d7d613fcffa3d518f43638cddbc7da7015e582cb9415e00616e5e8586836831b6d5877fa83e8a5fd931fd454731bf2af7072095
 SHA512 
e8f9811d16fc06ab49fe2c109de0546c989575eca6e68b579c6d219a745f935952020069f58b357c5c87b944c5097ca2894466d328d09f06beb8a55880142351

diff --git a/sys-fs/xfsdump/xfsdump-3.1.10.ebuild 
b/sys-fs/xfsdump/xfsdump-3.1.10.ebuild
new file mode 100644
index 000000000000..0ef28b237d54
--- /dev/null
+++ b/sys-fs/xfsdump/xfsdump-3.1.10.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="xfs dump/restore utilities"
+HOMEPAGE="https://xfs.wiki.kernel.org/";
+SRC_URI="https://www.kernel.org/pub/linux/utils/fs/xfs/${PN}/${P}.tar.xz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86"
+IUSE="ncurses nls"
+
+RDEPEND=">=sys-apps/attr-2.4.19
+       sys-apps/util-linux
+       sys-fs/e2fsprogs
+       >=sys-fs/xfsprogs-3.2.0
+       ncurses? ( sys-libs/ncurses:= )"
+DEPEND="${RDEPEND}
+       nls? (
+               sys-devel/gettext
+       )"
+BDEPEND="ncurses? ( virtual/pkgconfig )"
+
+PATCHES=(
+       # bug #335115
+       "${FILESDIR}"/${PN}-3.1.9-prompt-overflow.patch
+       # bug #311881
+       "${FILESDIR}"/${PN}-3.1.9-no-symlink.patch
+       # bug #561664
+       "${FILESDIR}"/${PN}-3.1.6-linguas.patch
+
+       "${FILESDIR}"/${PN}-3.1.9-fix-docs.patch
+       "${FILESDIR}"/${PN}-3.1.9-skip-inventory-debian-subfolder.patch
+)
+
+src_prepare() {
+       sed -i \
+               -e "/^PKG_DOC_DIR/s:@pkg_name@:${PF}:" \
+               include/builddefs.in \
+               || die
+
+       # bug #605852
+       sed -i \
+               -e "s:enable_curses=[a-z]*:enable_curses=$(usex ncurses):" \
+               -e "s:libcurses=\"[^\"]*\":libcurses='$(use ncurses && 
$(tc-getPKG_CONFIG) --libs ncurses)':" \
+               configure || die
+
+       default
+}
+
+src_configure() {
+       # bug #184564
+       unset PLATFORM
+
+       export OPTIMIZER="${CFLAGS}"
+       export DEBUG=-DNDEBUG
+
+       local myeconfargs=(
+               $(use_enable nls gettext)
+               --libdir="${EPREFIX}/$(get_libdir)"
+               --libexecdir="${EPREFIX}/usr/$(get_libdir)"
+               --sbindir="${EPREFIX}/sbin"
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       # Enable verbose build
+       emake V=1
+}

Reply via email to